<?php
/**
 * @brief ImgWidthAndHeightAdder, a plugin for Dotclear 2
 *
 * @package Dotclear
 * @subpackage Plugins
 *
 * @author Julien Mudry and contributors
 *
 * @copyright Julien Mudry
 * @copyright GPL-2.0 https://www.gnu.org/licenses/gpl-2.0.html
 */
if (!defined('DC_RC_PATH')) {
    return;
}

$this->registerModule(
    'ImgWidthAndHeightAdder',
    'Inserts width and height information on img tags.',
    'Julien Mudry and contributors',
    '1.1.0',
    [
        'requires'    => [['core', '2.24']],
        'permissions' => dcCore::app()->auth->makePermissions([
            dcAuth::PERMISSION_USAGE,
            dcAuth::PERMISSION_CONTENT_ADMIN,
        ]),
        'type'     => 'plugin',
        'settings' => [
            'blog' => '#params.iwaha',
        ],
        'details'     => 'https://codeberg.org/julmud/dc2-imgWidthAndHeightAdder',
        'support'     => 'https://codeberg.org/julmud/dc2-imgWidthAndHeightAdder/issues',
        'repository'  => 'https://codeberg.org/julmud/dc2-imgWidthAndHeightAdder/raw/branch/main/dcstore.xml',
    ]
);
