<?php
/**
 * @brief ImgWidthAndHeightAdder, a plugin for Dotclear 2
 *
 * @package Dotclear
 * @subpackage Plugins
 *
 * @author Julien Mudry and contributors
 *
 * @copyright Julien Mudry
 * @copyright GPL-2.0 https://www.gnu.org/licenses/gpl-2.0.html
 */
class iwahaMedia extends dcMedia
{
    public function getMediaItems(&$post_imgs)
    {
        $paths = array_keys($post_imgs);

        foreach ($paths as $v) {
            // Extract the file name for the image
            $fileName = preg_replace('/^' . preg_quote(dcCore::app()->blog->settings->system->public_url, '/') . '(\/?)/', '', $v);

            // Workaround for a bug with Dotclear 2.36: first make sure the file exists
            if (file_exists($this->root . '/' . $fileName)) {
                // Find the file system path to the image
                $f = new Dotclear\Helper\File\File($this->root . '/' . $fileName, $this->root, $this->root_url);

                if ($f->file != '') {
                    // Query the image sizes
                    $s                  = getimagesize($f->file);
                    $post_imgs[$v]['w'] = $s[0];
                    $post_imgs[$v]['h'] = $s[1];
                } else {
                    dcCore::app()->error->add(__("IWaHa couldn't find the image file and extract its dimensions for ") . $v);
                }
            } else {
                dcCore::app()->error->add(__("IWaHa couldn't find the image file and extract its dimensions for ") . $v);
            }
    }
    }
}
